Bug 841334 - [abrt] kde-workspace-4.8.4-1.fc17: updateSplashImage: Process /usr/bin/ksplashx was killed by signal 11 (SIGSEGV)
[abrt] kde-workspace-4.8.4-1.fc17: updateSplashImage: Process /usr/bin/ksplas...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kde-workspace (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
abrt_hash:0ceddad2d25874ef2a25a8c8fae...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 13:40 EDT by mark gress
Modified: 2013-08-01 07:55 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 07:55:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (10.47 KB, text/plain)
2012-07-18 13:40 EDT, mark gress
no flags Details
File: maps (5.85 KB, text/plain)
2012-07-18 13:40 EDT, mark gress
no flags Details

  None (edit)
Description mark gress 2012-07-18 13:40:46 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        ksplashx BeefyMiracle --pid
core_backtrace: 05680da1752d2df3d4b4d12fa74db70289ce8863 0x11a23 _start [exe] -
crash_function: updateSplashImage
executable:     /usr/bin/ksplashx
kernel:         3.4.0-1.fc17.i686
pid:            2012
pwd:            /home/rascal
time:           Wed 18 Jul 2012 01:34:54 PM EDT
uid:            1001
username:       rascal
xsession_errors: 

backtrace:      Text file, 10717 bytes
maps:           Text file, 5987 bytes

build_ids:
:3b58169a891c0797122a6f62950ddc9bfbc7003f
:57d6de5ff5536ed125c804f036da93c46399c6e4
:c37ce5a56ac9116ef3203d075293c839e22aadc9
:fb2937738211d999ca6946e653412fbfabb1f613
:4bd9cd3a78fa841a2bcf0df8c7e838b80cccd5f3
:35b89ab09e065e4da8f417312ca2f1105efc0a01
:75dd838611972f941eddfbc872c11bb0e35fb8c2
:7468ba793c595989f2e6a123e4a2af42f38ef0fe
:9ff154685b04583c95ef0f393e8be81e3c51ca7b
:757d0ed5f496fc377d8558caf8987cefa4679f96
:6c7ecdd436d5f0721a644466ae972ef51d018afc
:0db1085b6f5f26681999bf8762e7374bb8179395
:0192dd2785a5ee3ae8c4e920cb320c702385d4ef
:4c23c393ed8b8565bd8e90d5b57a868ba0ccfab3
:f13e5fa699a7129ee3080ddeb31558ef7578cddb
:75901b80d2dac1e6eb7ce9c4b8446d9190d4896a
:05680da1752d2df3d4b4d12fa74db70289ce8863
:c9666f5e43b3b03d782acadda76ae3074095c8a4
:ba9261f809a368e46ad243bf9f5c576d0c6af514
:d44eca373263d7abb445ddd5bad3dafbccd8cfed
:3e8db068ebbfae69654767b42d9b0475c53121e7
:2aa0a3c7fd741675fb8369e41ac0a688f804a29b
:6827db64bf037f6de97ac9f37d50f32f343930a4
:4723ea68ac0f3366ffaefee6b60b82b1aa2ea5e4
:88355dd86bb6db28d6805ab8d9dc0c0f3886e721

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/rascal/5

dso_list:
:/usr/bin/ksplashx kde-workspace-4.8.4-1.fc17.i686 (Fedora Project) 1342214748
:/usr/lib/libICE.so.6.3.0 libICE-1.0.8-1.fc17.i686 (Fedora Project) 1337719196
:/usr/lib/libfontconfig.so.1.4.4 fontconfig-2.8.0-7.fc17.i686 (Fedora Project) 1339273758
:/usr/lib/libXau.so.6.0.0 libXau-1.0.6-3.fc17.i686 (Fedora Project) 1337719196
:/usr/lib/libstdc++.so.6.0.17 libstdc++-4.7.0-5.fc17.i686 (Fedora Project) 1337719196
:/usr/lib/libXinerama.so.1.0.0 libXinerama-1.1.2-1.fc17.i686 (Fedora Project) 1337719197
:/usr/lib/libSM.so.6.0.1 libSM-1.2.1-1.fc17.i686 (Fedora Project) 1337719197
:/usr/lib/libgcc_s-4.7.0-20120507.so.1 libgcc-4.7.0-5.fc17.i686 (Fedora Project) 1337719188
:/usr/lib/libX11.so.6.3.0 libX11-1.5.0-2.fc17.i686 (Fedora Project) 1342213698
:/usr/lib/libXext.so.6.4.0 libXext-1.3.1-1.fc17.i686 (Fedora Project) 1337719197
:/usr/lib/libXrender.so.1.3.0 libXrender-0.9.7-1.fc17.i686 (Fedora Project) 1337719197
:/usr/lib/libXdmcp.so.6.0.0 libXdmcp-1.1.1-1.fc17.i686 (Fedora Project) 1337719197
:/usr/lib/libm-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719193
:/usr/lib/libXft.so.2.3.0 libXft-2.3.0-2.fc17.i686 (Fedora Project) 1337719197
:/usr/lib/libpng15.so.15.10.0 libpng-2:1.5.10-1.fc17.i686 (Fedora Project) 1337719196
:/usr/lib/ld-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719193
:/usr/lib/libz.so.1.2.5 zlib-1.2.5-6.fc17.i686 (Fedora Project) 1337719196
:/usr/lib/libjpeg.so.62.0.0 libjpeg-turbo-1.2.0-1.fc17.i686 (Fedora Project) 1337719196
:/usr/lib/libexpat.so.1.6.0 expat-2.1.0-1.fc17.i686 (Fedora Project) 1337719197
:/usr/lib/libuuid.so.1.3.0 libuuid-2.21.2-2.fc17.i686 (Fedora Project) 1342213783
:/usr/lib/libc-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719193
:/usr/lib/libfreetype.so.6.8.0 freetype-2.4.8-3.fc17.i686 (Fedora Project) 1337719196
:/usr/lib/libdl-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719193
:/usr/lib/libxcb.so.1.1.0 libxcb-1.8.1-1.fc17.i686 (Fedora Project) 1339273950
:/usr/lib/libXpm.so.4.11.0 libXpm-3.5.10-1.fc17.i686 (Fedora Project) 1337719197

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=5
:SSH_AGENT_PID=1993
:HOSTNAME=localhost.localdomain
:DM_CONTROL=/var/run/xdmctl
:SHELL=/bin/bash
:HISTSIZE=1000
:XDM_MANAGED=method=classic
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=rascal
:SSH_AUTH_SOCK=/tmp/ssh-eMowKtrC1957/agent.1957
:KLOCALE_LANGUAGES=en_US
:MAIL=/var/spool/mail/rascal
:DESKTOP_SESSION=default
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/rascal/.local/bin:/home/rascal/bin
:PWD=/home/rascal
:KDE_IS_PRELINKED=1
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/rascal
:XCURSOR_THEME=Adwaita
:LOGNAME=rascal
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-n8RYEPb0gG,guid=27c5dd975f33dbc83cce407d00000294
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/rascal
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:XAUTHORITY=/tmp/.XauthdtBHca
:_=/usr/bin/ksplashx

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 11952                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       11952                11952                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:socket:[79069]
:1:/usr/share/kde4/apps/ksplash/Themes/BeefyMiracle/2048x1536/description.txt

smolt_data:
:
:
:General
:=================================
:UUID: 1d899253-dec7-46d7-8a0e-2c825bb53125
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 3666.56
:CPU Vendor: AuthenticAMD
:CPU Model: mobile AMD Athlon(tm) XP-M 2600+
:CPU Stepping: 0
:CPU Family: 6
:CPU Model Num: 10
:Number of CPUs: 1
:CPU Speed: 1832
:System Memory: 1510
:System Swap: 0
:Vendor: ECS
:System: M863 1.0
:Form factor: Desktop
:Kernel: 3.4.0-1.fc17.i686
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4153:2304:4153:2304) pci, sis900, ETHERNET, SiS900 10/100 Ethernet Adapter onboard [Asus P4SC-EA]
:(4153:2403:0:0) pci, None, PCI/ISA, SiS963 [MuTIOL Media IO]
:(4153:22:0:0) pci, sis96x_smbus, SERIAL, SiS961/2 SMBus Controller
:(4153:28673:4153:28673) pci, ohci_hcd, USB, USB 1.1 Controller
:(4153:21779:4153:21779) pci, pata_sis, STORAGE, SiS5513 EIDE Controller (A,B step)
:(4153:28674:4153:28674) pci, ehci_hcd, USB, USB 2.0 Controller
:(4153:28690:4121:40972) pci, snd_intel8x0, MULTIMEDIA_AUDIO, C-Media AC'97 Sound Controller
:(4153:28673:4153:28673) pci, ohci_hcd, USB, USB 1.1 Controller
:(4098:18798:4098:3) pci, None, VIDEO, Radeon RV250 [Radeon 9000] (Secondary)
:(4098:18790:4098:2) pci, radeon, VIDEO, Radeon RV250 If [Radeon 9000]
:(4153:1857:0:0) pci, agpgart-sis, HOST/PCI, 741/741GX/M741 Host
:(4153:3:0:0) pci, None, PCI/PCI, SiS AGP Port (virtual PCI-to-PCI bridge)
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 1567061 234460 218767 393216 260566 260566
:/dev/sda2 /home ext4 4096 4096 382638 303797 284623 96000 93769 93769
:

var_log_messages:
:Jul 18 13:34:54 localhost kernel: [  661.758867] ksplashx[2012]: segfault at 1a1a15 ip 08058a23 sp bfefe410 error 6 in ksplashx[8047000+1d000]
:Jul 18 13:34:55 localhost abrt[2014]: Saved core dump of pid 2012 (/usr/bin/ksplashx) to /var/spool/abrt/ccpp-2012-07-18-13:34:54-2012 (22917120 bytes)
Comment 1 mark gress 2012-07-18 13:40:51 EDT
Created attachment 598955 [details]
File: backtrace
Comment 2 mark gress 2012-07-18 13:40:53 EDT
Created attachment 598956 [details]
File: maps
Comment 3 michae1t 2013-01-23 11:33:14 EST
attempted to login with external display connected.  mac book pro.  desktop background appeared magnified and cloned on laptop display and monitor.  could not make out any activity.  about a minute later a gray line appeared where kicker usually comes up.  a few moments later the session died.

backtrace_rating: 4
Package: kde-workspace-4.9.5-1.fc18
Architecture: x86_64
OS Release: Fedora release 18 (Spherical Cow)
Comment 4 Fedora End Of Life 2013-07-03 23:48:34 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 07:55:29 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.